<!DOCTYPE html>
<html lang="en" class="Internet-Draft">
<head>
<meta charset="utf-8">
<meta content="Common,Latin" name="scripts">
<title>Put Your Internet Draft Title
    Here</title>
<meta content="Elwyn Davies" name="author">
<meta content="Quintin Zhao" name="author">
<meta content="
       Insert an abstract: MANDATORY. This template is for creating an
      Internet Draft. 
    " name="description">
<meta content="xml2rfc 2.19.1" name="generator">
<meta content="template" name="keyword">
<link href="tests/input/draft-template.xml" type="application/rfc+xml" rel="alternate">
<link href="#copyright" rel="license">
<link href="xml2rfc.css" type="text/css" rel="stylesheet">
<link href="rfc-local.css" type="text/css" rel="stylesheet">
</head>
<body>
<table class="ears">
<thead><tr>
<td class="left">Internet-Draft</td>
<td class="center">Abbreviated Title</td>
<td class="right">March 2009</td>
</tr></thead>
<tfoot><tr>
<td class="left">Davies &amp; Zhao</td>
<td class="center">Expires September 2, 2009</td>
<td class="right">[Page]</td>
</tr></tfoot>
</table>
<div class="document-information">
<dl id="identifiers">
<dt class="label-workgroup">Workgroup:</dt>
<dd class="workgroup">Internet Engineering Task Force</dd>
<dt class="label-internet-draft">Internet-Draft:</dt>
<dd class="internet-draft">draft-ietf-xml2rfc-template-05</dd>
<dt class="label-published">Published:</dt>
<dd class="published">
<time datetime="2009-03-01" class="published">March 1, 2009</time>
    </dd>
<dt class="label-intended-status">Intended Status:</dt>
<dd class="intended-status">Informational</dd>
<dt class="label-expires">Expires:</dt>
<dd class="expires"><time datetime="2009-09-02">September 2, 2009</time></dd>
<dt class="label-authors">Authors:</dt>
<dd class="authors">
<div class="author">
      <div class="author-name">E.B. Davies, <span class="editor">Ed.</span>
</div>
<div class="org">Folly Consulting</div>
</div>
<div class="author">
      <div class="author-name">Q. Zhao</div>
<div class="org">Huawei Technology</div>
</div>
</dd>
</dl>
</div>
<h1 id="title">Put Your Internet Draft Title
    Here</h1>
<section id="section-abstract">
      <h2 id="abstract"><a href="#abstract" class="selfRef">Abstract</a></h2>
<p id="section-abstract-1">Insert an abstract: MANDATORY. This template is for creating an
      Internet Draft.<a href="#section-abstract-1" class="pilcrow">¶</a></p>
</section>
<div id="status-of-memo">
<section id="section-boilerplate.1">
        <h2 id="name-status-of-this-memo">
<a href="#name-status-of-this-memo" class="section-name selfRef">Status of This Memo</a>
        </h2>
<p id="section-boilerplate.1-1">
        This Internet-Draft is submitted in full conformance with the
        provisions of BCP 78 and BCP 79.
        <a href="#section-boilerplate.1-1" class="pilcrow">¶</a></p>
<p id="section-boilerplate.1-2">
        Internet-Drafts are working documents of the Internet Engineering Task
        Force (IETF). Note that other groups may also distribute working
        documents as Internet-Drafts. The list of current Internet-Drafts is
        at <span><a href="http://datatracker.ietf.org/drafts/current/">http://datatracker.ietf.org/drafts/current/</a></span>.
        <a href="#section-boilerplate.1-2" class="pilcrow">¶</a></p>
<p id="section-boilerplate.1-3">
        Internet-Drafts are draft documents valid for a maximum of six months
        and may be updated, replaced, or obsoleted by other documents at any
        time. It is inappropriate to use Internet-Drafts as reference
        material or to cite them other than as "work in progress."
        <a href="#section-boilerplate.1-3" class="pilcrow">¶</a></p>
<p id="section-boilerplate.1-4">
        This Internet-Draft will expire on September 2, 2009.
        <a href="#section-boilerplate.1-4" class="pilcrow">¶</a></p>
</section>
</div>
<div id="copyright">
<section id="section-boilerplate.2">
        <h2 id="name-copyright-notice">
<a href="#name-copyright-notice" class="section-name selfRef">Copyright Notice</a>
        </h2>
<p id="section-boilerplate.2-1">
            Copyright (c) 2009 IETF Trust and the persons identified as
            the document authors.  All rights reserved. 
        <a href="#section-boilerplate.2-1" class="pilcrow">¶</a></p>
<p id="section-boilerplate.2-2">
            This document is subject to BCP 78 and the IETF Trust's Legal
            Provisions Relating to IETF Documents in effect on the date of
            publication of this document (http://trustee.ietf.org/license-info).
            Please review these documents carefully, as they describe your rights
            and restrictions with respect to this document.
        <a href="#section-boilerplate.2-2" class="pilcrow">¶</a></p>
</section>
</div>
<div id="toc">
<section id="section-boilerplate.3">
        <a href="#" onclick="scroll(0,0)" class="toplink">▲</a><h2 id="name-table-of-contents">
<a href="#name-table-of-contents" class="section-name selfRef">Table of Contents</a>
        </h2>
<nav class="toc"><ul class="toc ulEmpty">
<li class="toc ulEmpty" id="section-boilerplate.3-1.1">
            <p id="section-boilerplate.3-1.1.1"><a href="#section-1" class="xref">1</a>.  <a href="#name-introduction" class="xref">Introduction</a><a href="#section-boilerplate.3-1.1.1" class="pilcrow">¶</a></p>
<ul class="toc ulEmpty">
<li class="toc ulEmpty" id="section-boilerplate.3-1.1.2.1">
                <p id="section-boilerplate.3-1.1.2.1.1"><a href="#section-1.1" class="xref">1.1</a>.  <a href="#name-requirements-language" class="xref">Requirements Language</a><a href="#section-boilerplate.3-1.1.2.1.1" class="pilcrow">¶</a></p>
</li>
            </ul>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.2">
            <p id="section-boilerplate.3-1.2.1"><a href="#section-2" class="xref">2</a>.  <a href="#name-simple-list" class="xref">Simple List</a><a href="#section-boilerplate.3-1.2.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.3">
            <p id="section-boilerplate.3-1.3.1"><a href="#section-3" class="xref">3</a>.  <a href="#name-figures" class="xref">Figures</a><a href="#section-boilerplate.3-1.3.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.4">
            <p id="section-boilerplate.3-1.4.1"><a href="#section-4" class="xref">4</a>.  <a href="#name-subsections-and-tables" class="xref">Subsections and Tables</a><a href="#section-boilerplate.3-1.4.1" class="pilcrow">¶</a></p>
<ul class="toc ulEmpty">
<li class="toc ulEmpty" id="section-boilerplate.3-1.4.2.1">
                <p id="section-boilerplate.3-1.4.2.1.1"><a href="#section-4.1" class="xref">4.1</a>.  <a href="#name-a-subsection" class="xref">A Subsection</a><a href="#section-boilerplate.3-1.4.2.1.1" class="pilcrow">¶</a></p>
</li>
              <li class="toc ulEmpty" id="section-boilerplate.3-1.4.2.2">
                <p id="section-boilerplate.3-1.4.2.2.1"><a href="#section-4.2" class="xref">4.2</a>.  <a href="#name-tables" class="xref">Tables</a><a href="#section-boilerplate.3-1.4.2.2.1" class="pilcrow">¶</a></p>
</li>
            </ul>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.5">
            <p id="section-boilerplate.3-1.5.1"><a href="#section-5" class="xref">5</a>.  <a href="#name-more-about-lists" class="xref">More about Lists</a><a href="#section-boilerplate.3-1.5.1" class="pilcrow">¶</a></p>
<ul class="toc ulEmpty">
<li class="toc ulEmpty" id="section-boilerplate.3-1.5.2.1">
                <p id="section-boilerplate.3-1.5.2.1.1"><a href="#section-5.1" class="xref">5.1</a>.  <a href="#name-numbering-lists-across-list" class="xref">Numbering Lists across Lists and Sections</a><a href="#section-boilerplate.3-1.5.2.1.1" class="pilcrow">¶</a></p>
</li>
              <li class="toc ulEmpty" id="section-boilerplate.3-1.5.2.2">
                <p id="section-boilerplate.3-1.5.2.2.1"><a href="#section-5.2" class="xref">5.2</a>.  <a href="#name-where-the-list-numbering-co" class="xref">Where the List Numbering Continues</a><a href="#section-boilerplate.3-1.5.2.2.1" class="pilcrow">¶</a></p>
</li>
              <li class="toc ulEmpty" id="section-boilerplate.3-1.5.2.3">
                <p id="section-boilerplate.3-1.5.2.3.1"><a href="#section-5.3" class="xref">5.3</a>.  <a href="#name-nested-lists" class="xref">nested lists</a><a href="#section-boilerplate.3-1.5.2.3.1" class="pilcrow">¶</a></p>
</li>
              <li class="toc ulEmpty" id="section-boilerplate.3-1.5.2.4">
                <p id="section-boilerplate.3-1.5.2.4.1"><a href="#section-5.4" class="xref">5.4</a>.  <a href="#name-list-formats" class="xref">List Formats</a><a href="#section-boilerplate.3-1.5.2.4.1" class="pilcrow">¶</a></p>
</li>
            </ul>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.6">
            <p id="section-boilerplate.3-1.6.1"><a href="#section-6" class="xref">6</a>.  <a href="#name-example-of-code-or-mib-modu" class="xref">Example of Code or MIB Module To Be Extracted</a><a href="#section-boilerplate.3-1.6.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.7">
            <p id="section-boilerplate.3-1.7.1"><a href="#section-7" class="xref">7</a>.  <a href="#name-acknowledgements" class="xref">Acknowledgements</a><a href="#section-boilerplate.3-1.7.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.8">
            <p id="section-boilerplate.3-1.8.1"><a href="#section-8" class="xref">8</a>.  <a href="#name-iana-considerations" class="xref">IANA Considerations</a><a href="#section-boilerplate.3-1.8.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.9">
            <p id="section-boilerplate.3-1.9.1"><a href="#section-9" class="xref">9</a>.  <a href="#name-security-considerations" class="xref">Security Considerations</a><a href="#section-boilerplate.3-1.9.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.10">
            <p id="section-boilerplate.3-1.10.1"><a href="#section-10" class="xref">10</a>.  <a href="#name-references" class="xref">References</a><a href="#section-boilerplate.3-1.10.1" class="pilcrow">¶</a></p>
<ul class="toc ulEmpty">
<li class="toc ulEmpty" id="section-boilerplate.3-1.10.2.1">
                <p id="section-boilerplate.3-1.10.2.1.1"><a href="#section-10.1" class="xref">10.1</a>.  <a href="#name-normative-references" class="xref">Normative References</a><a href="#section-boilerplate.3-1.10.2.1.1" class="pilcrow">¶</a></p>
</li>
              <li class="toc ulEmpty" id="section-boilerplate.3-1.10.2.2">
                <p id="section-boilerplate.3-1.10.2.2.1"><a href="#section-10.2" class="xref">10.2</a>.  <a href="#name-informative-references" class="xref">Informative References</a><a href="#section-boilerplate.3-1.10.2.2.1" class="pilcrow">¶</a></p>
</li>
            </ul>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.11">
            <p id="section-boilerplate.3-1.11.1"><a href="#section-appendix.a" class="xref">Appendix A</a>.  <a href="#name-additional-stuff" class="xref">Additional Stuff</a><a href="#section-boilerplate.3-1.11.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.12">
            <p id="section-boilerplate.3-1.12.1"><a href="#section-appendix.b" class="xref"></a>  <a href="#name-contributors" class="xref">Contributors</a><a href="#section-boilerplate.3-1.12.1" class="pilcrow">¶</a></p>
</li>
          <li class="toc ulEmpty" id="section-boilerplate.3-1.13">
            <p id="section-boilerplate.3-1.13.1"><a href="#section-appendix.c" class="xref"></a>  <a href="#name-authors-addresses" class="xref">Authors' Addresses</a><a href="#section-boilerplate.3-1.13.1" class="pilcrow">¶</a></p>
</li>
        </ul>
</nav>
</section>
</div>
<section id="section-1">
      <h2 id="name-introduction">
<a href="#section-1" class="section-number selfRef">1. </a><a href="#name-introduction" class="section-name selfRef">Introduction</a>
      </h2>
<p id="section-1-1">The original specification of xml2rfc format is in <span><a href="#RFC2629" class="xref">RFC 2629</a> [<a href="#RFC2629" class="xref">RFC2629</a>]</span>.<a href="#section-1-1" class="pilcrow">¶</a></p>
<section id="section-1.1">
        <h3 id="name-requirements-language">
<a href="#section-1.1" class="section-number selfRef">1.1. </a><a href="#name-requirements-language" class="section-name selfRef">Requirements Language</a>
        </h3>
<p id="section-1.1-1">The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
        "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
        document are to be interpreted as described in <span><a href="#RFC2119" class="xref">RFC 2119</a> [<a href="#RFC2119" class="xref">RFC2119</a>]</span>.<a href="#section-1.1-1" class="pilcrow">¶</a></p>
</section>
</section>
<div id="simple_list">
<section id="section-2">
      <h2 id="name-simple-list">
<a href="#section-2" class="section-number selfRef">2. </a><a href="#name-simple-list" class="section-name selfRef">Simple List</a>
      </h2>
<p id="section-2-1">List styles: 'empty', 'symbols', 'letters', 'numbers', 'hanging',
      'format'.<a href="#section-2-1" class="pilcrow">¶</a></p>
<ul>
<li id="section-2-2.1">First bullet<a href="#section-2-2.1" class="pilcrow">¶</a>
</li>
        <li id="section-2-2.2">Second bullet<a href="#section-2-2.2" class="pilcrow">¶</a>
</li>
      </ul>
<p id="section-2-3"> You can write text here as well.<a href="#section-2-3" class="pilcrow">¶</a></p>
</section>
</div>
<section id="section-3">
      <h2 id="name-figures">
<a href="#section-3" class="section-number selfRef">3. </a><a href="#name-figures" class="section-name selfRef">Figures</a>
      </h2>
<p id="section-3-1">Figures should not exceed 69 characters wide to allow for the indent
      of sections.<a href="#section-3-1" class="pilcrow">¶</a></p>
<p id="section-3-2">Preamble text - can be omitted or empty.<a href="#section-3-2" class="pilcrow">¶</a></p>
<div id="xml_happy">
<figure id="figure-1">
        <div class="artwork art-text alignLeft" id="section-3-3.1">
<pre>
+-----------------------+
| Use XML, be Happy :-) |
|_______________________|
            </pre>
</div>
<figcaption><a href="#figure-1">Figure 1</a></figcaption></figure>
</div>
<p id="section-3-4">Cross-references allowed in pre- and postamble. <span>[<a href="#min_ref" class="xref">min_ref</a>]</span>.<a href="#section-3-4" class="pilcrow">¶</a></p>
<p id="section-3-5">The CDATA means you don't need to escape meta-characters (especially
      &lt; (&amp;lt;) and &amp; (&amp;amp;)) but is not essential.
      Figures may also have a title attribute but it won't be displayed unless
      there is also an anchor. White space, both horizontal and vertical, is
      significant in figures even if you don't use CDATA.<a href="#section-3-5" class="pilcrow">¶</a></p>
</section>
<section id="section-4">
      <h2 id="name-subsections-and-tables">
<a href="#section-4" class="section-number selfRef">4. </a><a href="#name-subsections-and-tables" class="section-name selfRef">Subsections and Tables</a>
      </h2>
<section id="section-4.1">
        <h3 id="name-a-subsection">
<a href="#section-4.1" class="section-number selfRef">4.1. </a><a href="#name-a-subsection" class="section-name selfRef">A Subsection</a>
        </h3>
<p id="section-4.1-1">By default 3 levels of nesting show in table of contents but that
        can be adjusted with the value of the "tocdepth" processing
        instruction.<a href="#section-4.1-1" class="pilcrow">¶</a></p>
</section>
<section id="section-4.2">
        <h3 id="name-tables">
<a href="#section-4.2" class="section-number selfRef">4.2. </a><a href="#name-tables" class="section-name selfRef">Tables</a>
        </h3>
<p id="section-4.2-1">.. are very similar to figures:<a href="#section-4.2-1" class="pilcrow">¶</a></p>
<p id="section-4.2-2">Tables use ttcol to define column headers and widths.
          Every cell then has a "c" element for its content.<a href="#section-4.2-2" class="pilcrow">¶</a></p>
<span id="name-a-very-simple-table"></span><div id="table_example">
<table class="center" id="table-1">
          <caption>
<a href="#table-1">Table 1</a>:
<a href="#name-a-very-simple-table" class="selfRef">A Very Simple Table</a>
          </caption>
<thead>
            <tr>
              <th class="text-center" rowspan="1" colspan="1">ttcol #1</th>
              <th class="text-center" rowspan="1" colspan="1">ttcol #2</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td class="text-center" rowspan="1" colspan="1">c #1</td>
              <td class="text-center" rowspan="1" colspan="1">c #2</td>
            </tr>
            <tr>
              <td class="text-center" rowspan="1" colspan="1">c #3</td>
              <td class="text-center" rowspan="1" colspan="1">c #4</td>
            </tr>
            <tr>
              <td class="text-center" rowspan="1" colspan="1">c #5</td>
              <td class="text-center" rowspan="1" colspan="1">c #6</td>
            </tr>
          </tbody>
        </table>
</div>
<p id="section-4.2-4">which is a very simple example.<a href="#section-4.2-4" class="pilcrow">¶</a></p>
</section>
</section>
<div id="nested_lists">
<section id="section-5">
      <h2 id="name-more-about-lists">
<a href="#section-5" class="section-number selfRef">5. </a><a href="#name-more-about-lists" class="section-name selfRef">More about Lists</a>
      </h2>
<p id="section-5-1">Lists with 'hanging labels': the list item is indented the amount of
      the hangIndent: <a href="#section-5-1" class="pilcrow">¶</a></p>
<dl class="dlNewline" id="section-5-2">
        <dt id="section-5-2.1">short</dt>
        <dd style="margin-left: 4.0em" id="section-5-2.2">With a label shorter than the hangIndent.</dd>
        <dt id="section-5-2.3">fantastically long label</dt>
        <dd style="margin-left: 4.0em" id="section-5-2.4">With a label longer than the
          hangIndent.</dd>
        <dt id="section-5-2.5">vspace_trick</dt>
        <dd style="margin-left: 4.0em" id="section-5-2.6">Forces the new
          item to start on a new line.</dd>
      </dl>
<p id="section-5-3">Simulating more than one paragraph in a list item using
      &lt;vspace&gt;: <a href="#section-5-3" class="pilcrow">¶</a></p>
<ol start="1" type="a" class="normal" id="section-5-4">
        <li id="section-5-4.1">First, a short item.<a href="#section-5-4.1" class="pilcrow">¶</a>
</li>
        <li id="section-5-4.2">
          <p id="section-5-4.2.1">Second, a longer list item.<a href="#section-5-4.2.1" class="pilcrow">¶</a></p>
<p id="section-5-4.2.2"> And
          something that looks like a separate pararaph..<a href="#section-5-4.2.2" class="pilcrow">¶</a></p>
</li>
      </ol>
<p id="section-5-5">Simple indented paragraph using the "empty" style: <a href="#section-5-5" class="pilcrow">¶</a></p>
<ul class="ulEmpty">
<li class="ulEmpty" id="section-5-6.1">The quick, brown fox jumped over the lazy dog and lived to fool
          many another hunter in the great wood in the west.<a href="#section-5-6.1" class="pilcrow">¶</a>
</li>
      </ul>
<section id="section-5.1">
        <h3 id="name-numbering-lists-across-list">
<a href="#section-5.1" class="section-number selfRef">5.1. </a><a href="#name-numbering-lists-across-list" class="section-name selfRef">Numbering Lists across Lists and Sections</a>
        </h3>
<p id="section-5.1-1">Numbering items continuously although they are in separate
        &lt;list&gt; elements, maybe in separate sections using the "format"
        style and a "counter" variable.<a href="#section-5.1-1" class="pilcrow">¶</a></p>
<p id="section-5.1-2">First list: <a href="#section-5.1-2" class="pilcrow">¶</a></p>
<dl class="olPercent" id="section-5.1-3">
          <dt>R1</dt>
<dd id="section-5.1-3.1">#1<a href="#section-5.1-3.1" class="pilcrow">¶</a>
</dd>
          <dt>R2</dt>
<dd id="section-5.1-3.2">#2<a href="#section-5.1-3.2" class="pilcrow">¶</a>
</dd>
          <dt>R3</dt>
<dd id="section-5.1-3.3">#3<a href="#section-5.1-3.3" class="pilcrow">¶</a>
</dd>
        </dl>
<p id="section-5.1-4"> Specify the indent explicitly so that all the items line up
        nicely.<a href="#section-5.1-4" class="pilcrow">¶</a></p>
<p id="section-5.1-5">Second list: <a href="#section-5.1-5" class="pilcrow">¶</a></p>
<dl class="olPercent" id="section-5.1-6">
          <dt>R4</dt>
<dd id="section-5.1-6.1">#4<a href="#section-5.1-6.1" class="pilcrow">¶</a>
</dd>
          <dt>R5</dt>
<dd id="section-5.1-6.2">#5<a href="#section-5.1-6.2" class="pilcrow">¶</a>
</dd>
          <dt>R6</dt>
<dd id="section-5.1-6.3">#6<a href="#section-5.1-6.3" class="pilcrow">¶</a>
</dd>
        </dl>
</section>
<section id="section-5.2">
        <h3 id="name-where-the-list-numbering-co">
<a href="#section-5.2" class="section-number selfRef">5.2. </a><a href="#name-where-the-list-numbering-co" class="section-name selfRef">Where the List Numbering Continues</a>
        </h3>
<p id="section-5.2-1">List continues here.<a href="#section-5.2-1" class="pilcrow">¶</a></p>
<p id="section-5.2-2">Third list: <a href="#section-5.2-2" class="pilcrow">¶</a></p>
<dl class="olPercent" id="section-5.2-3">
          <dt>R7</dt>
<dd id="section-5.2-3.1">#7<a href="#section-5.2-3.1" class="pilcrow">¶</a>
</dd>
          <dt>R8</dt>
<dd id="section-5.2-3.2">#8<a href="#section-5.2-3.2" class="pilcrow">¶</a>
</dd>
          <dt>R9</dt>
<dd id="section-5.2-3.3">#9<a href="#section-5.2-3.3" class="pilcrow">¶</a>
</dd>
          <dt>R10</dt>
<dd id="section-5.2-3.4">#10<a href="#section-5.2-3.4" class="pilcrow">¶</a>
</dd>
        </dl>
<p id="section-5.2-4"> The end of the list.<a href="#section-5.2-4" class="pilcrow">¶</a></p>
</section>
<section id="section-5.3">
        <h3 id="name-nested-lists">
<a href="#section-5.3" class="section-number selfRef">5.3. </a><a href="#name-nested-lists" class="section-name selfRef">nested lists</a>
        </h3>
<p id="section-5.3-1">Simulating more than one paragraph in a list item using
   &lt;vspace&gt;: 
        <a href="#section-5.3-1" class="pilcrow">¶</a></p>
<ol start="1" type="a" class="normal" id="section-5.3-2">
          <li id="section-5.3-2.1">First, a short item.<a href="#section-5.3-2.1" class="pilcrow">¶</a>
</li>
          <li id="section-5.3-2.2">
            <p id="section-5.3-2.2.1">Second, a longer list item.<a href="#section-5.3-2.2.1" class="pilcrow">¶</a></p>
<p id="section-5.3-2.2.2"> And
       something that looks like a separate paragraph.<a href="#section-5.3-2.2.2" class="pilcrow">¶</a></p>
</li>
          <li id="section-5.3-2.3">
            <p id="section-5.3-2.3.1">and a sublist, also with letters
            <a href="#section-5.3-2.3.1" class="pilcrow">¶</a></p>
<ol start="1" type="A" class="normal" id="section-5.3-2.3.2">
              <li id="section-5.3-2.3.2.1">first subitem<a href="#section-5.3-2.3.2.1" class="pilcrow">¶</a>
</li>
              <li id="section-5.3-2.3.2.2">second subitem<a href="#section-5.3-2.3.2.2" class="pilcrow">¶</a>
</li>
              <li id="section-5.3-2.3.2.3">
                <p id="section-5.3-2.3.2.3.1">and a sub-sublist, also with letters
                <a href="#section-5.3-2.3.2.3.1" class="pilcrow">¶</a></p>
<ol start="1" type="a" class="normal" id="section-5.3-2.3.2.3.2">
                  <li id="section-5.3-2.3.2.3.2.1">first sub-subitem<a href="#section-5.3-2.3.2.3.2.1" class="pilcrow">¶</a>
</li>
                  <li id="section-5.3-2.3.2.3.2.2">second sub-subitem<a href="#section-5.3-2.3.2.3.2.2" class="pilcrow">¶</a>
</li>
                </ol>
</li>
            </ol>
</li>
        </ol>
</section>
<section id="section-5.4">
        <h3 id="name-list-formats">
<a href="#section-5.4" class="section-number selfRef">5.4. </a><a href="#name-list-formats" class="section-name selfRef">List Formats</a>
        </h3>
<p id="section-5.4-1">many formats
        <a href="#section-5.4-1" class="pilcrow">¶</a></p>
<dl class="olPercent" id="section-5.4-2">
          <dt>a</dt>
<dd id="section-5.4-2.1">first %c-item<a href="#section-5.4-2.1" class="pilcrow">¶</a>
</dd>
          <dt>b</dt>
<dd id="section-5.4-2.2">more %c-items<a href="#section-5.4-2.2" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-3">
          <dt>A</dt>
<dd id="section-5.4-3.1">first %C-item<a href="#section-5.4-3.1" class="pilcrow">¶</a>
</dd>
          <dt>B</dt>
<dd id="section-5.4-3.2">more %C-items<a href="#section-5.4-3.2" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-4">
          <dt>1</dt>
<dd id="section-5.4-4.1">first %d-item.<a href="#section-5.4-4.1" class="pilcrow">¶</a>
</dd>
          <dt>2</dt>
<dd id="section-5.4-4.2">more %d-items.<a href="#section-5.4-4.2" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-5">
          <dt>i</dt>
<dd id="section-5.4-5.1">first %i-item<a href="#section-5.4-5.1" class="pilcrow">¶</a>
</dd>
          <dt>ii</dt>
<dd id="section-5.4-5.2">more %i-items<a href="#section-5.4-5.2" class="pilcrow">¶</a>
</dd>
          <dt>iii</dt>
<dd id="section-5.4-5.3">more %i-items<a href="#section-5.4-5.3" class="pilcrow">¶</a>
</dd>
          <dt>iv</dt>
<dd id="section-5.4-5.4">more %i-items<a href="#section-5.4-5.4" class="pilcrow">¶</a>
</dd>
          <dt>v</dt>
<dd id="section-5.4-5.5">more %i-items<a href="#section-5.4-5.5" class="pilcrow">¶</a>
</dd>
          <dt>vi</dt>
<dd id="section-5.4-5.6">more %i-items<a href="#section-5.4-5.6" class="pilcrow">¶</a>
</dd>
          <dt>vii</dt>
<dd id="section-5.4-5.7">more %i-items<a href="#section-5.4-5.7" class="pilcrow">¶</a>
</dd>
          <dt>viii</dt>
<dd id="section-5.4-5.8">more %i-items<a href="#section-5.4-5.8" class="pilcrow">¶</a>
</dd>
          <dt>ix</dt>
<dd id="section-5.4-5.9">more %i-items<a href="#section-5.4-5.9" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-6">
          <dt>I</dt>
<dd id="section-5.4-6.1">first %I-item<a href="#section-5.4-6.1" class="pilcrow">¶</a>
</dd>
          <dt>II</dt>
<dd id="section-5.4-6.2">more %I-items<a href="#section-5.4-6.2" class="pilcrow">¶</a>
</dd>
          <dt>III</dt>
<dd id="section-5.4-6.3">more %I-items<a href="#section-5.4-6.3" class="pilcrow">¶</a>
</dd>
          <dt>IV</dt>
<dd id="section-5.4-6.4">more %I-items<a href="#section-5.4-6.4" class="pilcrow">¶</a>
</dd>
          <dt>V</dt>
<dd id="section-5.4-6.5">more %I-items<a href="#section-5.4-6.5" class="pilcrow">¶</a>
</dd>
          <dt>VI</dt>
<dd id="section-5.4-6.6">more %I-items<a href="#section-5.4-6.6" class="pilcrow">¶</a>
</dd>
          <dt>VII</dt>
<dd id="section-5.4-6.7">more %I-items<a href="#section-5.4-6.7" class="pilcrow">¶</a>
</dd>
          <dt>VIII</dt>
<dd id="section-5.4-6.8">more %I-items<a href="#section-5.4-6.8" class="pilcrow">¶</a>
</dd>
          <dt>IX</dt>
<dd id="section-5.4-6.9">more %I-items<a href="#section-5.4-6.9" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-7">
          <dt>1</dt>
<dd id="section-5.4-7.1">first %o-item<a href="#section-5.4-7.1" class="pilcrow">¶</a>
</dd>
          <dt>2</dt>
<dd id="section-5.4-7.2">more %o-items<a href="#section-5.4-7.2" class="pilcrow">¶</a>
</dd>
          <dt>3</dt>
<dd id="section-5.4-7.3">more %o-items<a href="#section-5.4-7.3" class="pilcrow">¶</a>
</dd>
          <dt>4</dt>
<dd id="section-5.4-7.4">more %o-items<a href="#section-5.4-7.4" class="pilcrow">¶</a>
</dd>
          <dt>5</dt>
<dd id="section-5.4-7.5">more %o-items<a href="#section-5.4-7.5" class="pilcrow">¶</a>
</dd>
          <dt>6</dt>
<dd id="section-5.4-7.6">more %o-items<a href="#section-5.4-7.6" class="pilcrow">¶</a>
</dd>
          <dt>7</dt>
<dd id="section-5.4-7.7">more %o-items<a href="#section-5.4-7.7" class="pilcrow">¶</a>
</dd>
          <dt>10</dt>
<dd id="section-5.4-7.8">more %o-items<a href="#section-5.4-7.8" class="pilcrow">¶</a>
</dd>
          <dt>11</dt>
<dd id="section-5.4-7.9">more %o-items<a href="#section-5.4-7.9" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-8">
          <dt>1</dt>
<dd id="section-5.4-8.1">first %x-item<a href="#section-5.4-8.1" class="pilcrow">¶</a>
</dd>
          <dt>2</dt>
<dd id="section-5.4-8.2">more %x-items<a href="#section-5.4-8.2" class="pilcrow">¶</a>
</dd>
          <dt>3</dt>
<dd id="section-5.4-8.3">more %x-items<a href="#section-5.4-8.3" class="pilcrow">¶</a>
</dd>
          <dt>4</dt>
<dd id="section-5.4-8.4">more %x-items<a href="#section-5.4-8.4" class="pilcrow">¶</a>
</dd>
          <dt>5</dt>
<dd id="section-5.4-8.5">more %x-items<a href="#section-5.4-8.5" class="pilcrow">¶</a>
</dd>
          <dt>6</dt>
<dd id="section-5.4-8.6">more %x-items<a href="#section-5.4-8.6" class="pilcrow">¶</a>
</dd>
          <dt>7</dt>
<dd id="section-5.4-8.7">more %x-items<a href="#section-5.4-8.7" class="pilcrow">¶</a>
</dd>
          <dt>8</dt>
<dd id="section-5.4-8.8">more %x-items<a href="#section-5.4-8.8" class="pilcrow">¶</a>
</dd>
          <dt>9</dt>
<dd id="section-5.4-8.9">more %x-items<a href="#section-5.4-8.9" class="pilcrow">¶</a>
</dd>
          <dt>a</dt>
<dd id="section-5.4-8.10">more %x-items<a href="#section-5.4-8.10" class="pilcrow">¶</a>
</dd>
          <dt>b</dt>
<dd id="section-5.4-8.11">more %x-items<a href="#section-5.4-8.11" class="pilcrow">¶</a>
</dd>
          <dt>c</dt>
<dd id="section-5.4-8.12">more %x-items<a href="#section-5.4-8.12" class="pilcrow">¶</a>
</dd>
          <dt>d</dt>
<dd id="section-5.4-8.13">more %x-items<a href="#section-5.4-8.13" class="pilcrow">¶</a>
</dd>
          <dt>e</dt>
<dd id="section-5.4-8.14">more %x-items<a href="#section-5.4-8.14" class="pilcrow">¶</a>
</dd>
          <dt>f</dt>
<dd id="section-5.4-8.15">more %x-items<a href="#section-5.4-8.15" class="pilcrow">¶</a>
</dd>
          <dt>10</dt>
<dd id="section-5.4-8.16">more %x-items<a href="#section-5.4-8.16" class="pilcrow">¶</a>
</dd>
          <dt>11</dt>
<dd id="section-5.4-8.17">more %x-items<a href="#section-5.4-8.17" class="pilcrow">¶</a>
</dd>
        </dl>
<dl class="olPercent" id="section-5.4-9">
          <dt>1</dt>
<dd id="section-5.4-9.1">first %X-item<a href="#section-5.4-9.1" class="pilcrow">¶</a>
</dd>
          <dt>2</dt>
<dd id="section-5.4-9.2">more %X-items<a href="#section-5.4-9.2" class="pilcrow">¶</a>
</dd>
          <dt>3</dt>
<dd id="section-5.4-9.3">more %X-items<a href="#section-5.4-9.3" class="pilcrow">¶</a>
</dd>
          <dt>4</dt>
<dd id="section-5.4-9.4">more %X-items<a href="#section-5.4-9.4" class="pilcrow">¶</a>
</dd>
          <dt>5</dt>
<dd id="section-5.4-9.5">more %X-items<a href="#section-5.4-9.5" class="pilcrow">¶</a>
</dd>
          <dt>6</dt>
<dd id="section-5.4-9.6">more %X-items<a href="#section-5.4-9.6" class="pilcrow">¶</a>
</dd>
          <dt>7</dt>
<dd id="section-5.4-9.7">more %X-items<a href="#section-5.4-9.7" class="pilcrow">¶</a>
</dd>
          <dt>8</dt>
<dd id="section-5.4-9.8">more %X-items<a href="#section-5.4-9.8" class="pilcrow">¶</a>
</dd>
          <dt>9</dt>
<dd id="section-5.4-9.9">more %X-items<a href="#section-5.4-9.9" class="pilcrow">¶</a>
</dd>
          <dt>A</dt>
<dd id="section-5.4-9.10">more %X-items<a href="#section-5.4-9.10" class="pilcrow">¶</a>
</dd>
          <dt>B</dt>
<dd id="section-5.4-9.11">more %X-items<a href="#section-5.4-9.11" class="pilcrow">¶</a>
</dd>
          <dt>C</dt>
<dd id="section-5.4-9.12">more %X-items<a href="#section-5.4-9.12" class="pilcrow">¶</a>
</dd>
          <dt>D</dt>
<dd id="section-5.4-9.13">more %X-items<a href="#section-5.4-9.13" class="pilcrow">¶</a>
</dd>
          <dt>E</dt>
<dd id="section-5.4-9.14">more %X-items<a href="#section-5.4-9.14" class="pilcrow">¶</a>
</dd>
          <dt>F</dt>
<dd id="section-5.4-9.15">more %X-items<a href="#section-5.4-9.15" class="pilcrow">¶</a>
</dd>
          <dt>10</dt>
<dd id="section-5.4-9.16">more %X-items<a href="#section-5.4-9.16" class="pilcrow">¶</a>
</dd>
          <dt>11</dt>
<dd id="section-5.4-9.17">more %X-items<a href="#section-5.4-9.17" class="pilcrow">¶</a>
</dd>
        </dl>
</section>
</section>
</div>
<div id="codeExample">
<section id="section-6">
      <h2 id="name-example-of-code-or-mib-modu">
<a href="#section-6" class="section-number selfRef">6. </a><a href="#name-example-of-code-or-mib-modu" class="section-name selfRef">Example of Code or MIB Module To Be Extracted</a>
      </h2>
<p id="section-6-1">The &lt;artwork&gt; element has a number of extra attributes
        that can be used to substitute a more aesthetically pleasing rendition
        into HTML output while continuing to use the ASCII art version in the
        text and nroff outputs (see the xml2rfc README for details). It also
        has a "type" attribute. This is currently ignored except in the case
        'type="abnf"'. In this case the "artwork" is expected to contain a
        piece of valid Augmented Backus-Naur Format (ABNF) grammar. This will
        be syntax checked by xml2rfc and any errors will cause a fatal error
        if the "strict" processing instruction is set to "yes". The ABNF will
        also be colorized in HTML output to highlight the syntactic
        components. Checking of additional "types" may be provided in future
        versions of xml2rfc.<a href="#section-6-1" class="pilcrow">¶</a></p>
<div id="section-6-2">
<pre class="sourcecode">&lt;CODE BEGINS&gt; file "example.c"


/**** an example C program */

#include &lt;stdio.h&gt;

void
main(int argc, char *argv[])
{
    int i;

    printf("program arguments are:\n");
    for (i = 0; i &lt; argc; i++) {
        printf("%d: \"%s\"\n", i, argv[i]);
    }

    exit(0);
} /* main */

/* end of file */


&lt;CODE ENDS&gt;</pre>
<a href="#section-6-2" class="pilcrow">¶</a>
</div>
</section>
</div>
<div id="Acknowledgements">
<section id="section-7">
      <h2 id="name-acknowledgements">
<a href="#section-7" class="section-number selfRef">7. </a><a href="#name-acknowledgements" class="section-name selfRef">Acknowledgements</a>
      </h2>
<p id="section-7-1">This template was derived from an initial version written by Pekka
      Savola and contributed by him to the xml2rfc project.<a href="#section-7-1" class="pilcrow">¶</a></p>
<p id="section-7-2">
 This document is part of a plan to make xml2rfc indispensable <span>[<a href="#DOMINATION" class="xref">DOMINATION</a>]</span>.
 This document may be shared as needed <span>[<a href="#SHARING" class="xref">SHARING</a>]</span>.
      <a href="#section-7-2" class="pilcrow">¶</a></p>
</section>
</div>
<div id="IANA">
<section id="section-8">
      <h2 id="name-iana-considerations">
<a href="#section-8" class="section-number selfRef">8. </a><a href="#name-iana-considerations" class="section-name selfRef">IANA Considerations</a>
      </h2>
<p id="section-8-1">This memo includes no request to IANA.<a href="#section-8-1" class="pilcrow">¶</a></p>
<p id="section-8-2">All drafts are required to have an IANA considerations section (see
      <span><a href="#I-D.narten-iana-considerations-rfc2434bis" class="xref">the update of
      RFC 2434</a> [<a href="#I-D.narten-iana-considerations-rfc2434bis" class="xref">I-D.narten-iana-considerations-rfc2434bis</a>]</span> for a guide). If the draft does not require IANA to do
      anything, the section contains an explicit statement that this is the
      case (as above). If there are no requirements for IANA, the section will
      be removed during conversion into an RFC by the RFC Editor.<a href="#section-8-2" class="pilcrow">¶</a></p>
</section>
</div>
<div id="Security">
<section id="section-9">
      <h2 id="name-security-considerations">
<a href="#section-9" class="section-number selfRef">9. </a><a href="#name-security-considerations" class="section-name selfRef">Security Considerations</a>
      </h2>
<p id="section-9-1">All drafts are required to have a security considerations section.
      See <span><a href="#RFC3552" class="xref">RFC 3552</a> [<a href="#RFC3552" class="xref">RFC3552</a>]</span> for a guide.<a href="#section-9-1" class="pilcrow">¶</a></p>
</section>
</div>
<section id="section-10">
      <h2 id="name-references">
<a href="#section-10" class="section-number selfRef">10. </a><a href="#name-references" class="section-name selfRef">References</a>
      </h2>
<section id="section-10.1">
        <h3 id="name-normative-references">
<a href="#section-10.1" class="section-number selfRef">10.1. </a><a href="#name-normative-references" class="section-name selfRef">Normative References</a>
        </h3>
<dl class="references">
<dt id="min_ref">[min_ref]</dt>
        <dd>
<span class="refAuthor">authSurName, authInitials.</span>, <span class="refTitle">"Minimal Reference"</span>, <time datetime="2006">2006</time>. </dd>
<dt id="RFC2119">[RFC2119]</dt>
      <dd>
<span class="refAuthor">Bradner, S.</span>, <span class="refTitle">"Key words for use in RFCs to Indicate Requirement Levels"</span>, <span class="seriesInfo">BCP 14</span>, <span class="seriesInfo">RFC 2119</span>, <span class="seriesInfo">DOI 10.17487/RFC2119</span>, <time datetime="1997-03">March 1997</time>
            <span>, &lt;<a href="https://www.rfc-editor.org/info/rfc2119">https://www.rfc-editor.org/info/rfc2119</a>&gt;</span>. </dd>
</dl>
</section>
<section id="section-10.2">
        <h3 id="name-informative-references">
<a href="#section-10.2" class="section-number selfRef">10.2. </a><a href="#name-informative-references" class="section-name selfRef">Informative References</a>
        </h3>
<dl class="references">
<dt id="DOMINATION">[DOMINATION]</dt>
        <dd>
<span class="refAuthor">Mad Dominators, Inc.</span>, <span class="refTitle">"Ultimate Plan for Taking Over the World"</span>, <time datetime="1984">1984</time>
          <span>, &lt;<a href="http://www.example.com/dominator.html">http://www.example.com/dominator.html</a>&gt;</span>. </dd>
<dt id="I-D.narten-iana-considerations-rfc2434bis">[I-D.narten-iana-considerations-rfc2434bis]</dt>
        <dd>
<span class="refAuthor">Narten, T.</span><span class="refAuthor"> and H. Alvestrand</span>, <span class="refTitle">"Guidelines for Writing an IANA Considerations Section in RFCs"</span>, <span class="seriesInfo">Internet-Draft draft-narten-iana-considerations-rfc2434bis-09</span>, <time datetime="2008-03-26">March 26, 2008</time>
            <span>, &lt;<a href="http://www.ietf.org/internet-drafts/draft-narten-iana-considerations-rfc2434bis-09.txt">http://www.ietf.org/internet-drafts/draft-narten-iana-considerations-rfc2434bis-09.txt</a>&gt;</span>. </dd>
<dt id="RFC2629">[RFC2629]</dt>
        <dd>
<span class="refAuthor">Rose, M.</span>, <span class="refTitle">"Writing I-Ds and RFCs using XML"</span>, <span class="seriesInfo">RFC 2629</span>, <span class="seriesInfo">DOI 10.17487/RFC2629</span>, <time datetime="1999-06">June 1999</time>
            <span>, &lt;<a href="https://www.rfc-editor.org/info/rfc2629">https://www.rfc-editor.org/info/rfc2629</a>&gt;</span>. </dd>
<dt id="RFC3552">[RFC3552]</dt>
        <dd>
<span class="refAuthor">Rescorla, E.</span><span class="refAuthor"> and B. Korver</span>, <span class="refTitle">"Guidelines for Writing RFC Text on Security Considerations"</span>, <span class="seriesInfo">BCP 72</span>, <span class="seriesInfo">RFC 3552</span>, <span class="seriesInfo">DOI 10.17487/RFC3552</span>, <time datetime="2003-07">July 2003</time>
            <span>, &lt;<a href="https://www.rfc-editor.org/info/rfc3552">https://www.rfc-editor.org/info/rfc3552</a>&gt;</span>. </dd>
<dt id="SHARING">[SHARING]</dt>
      <dd>
<span class="refAuthor">
 Sesame Street
              </span>, <span class="refTitle">"
 I Learned to Share in Kindergarten
            "</span>, <time datetime="1972">1972</time>
          <span>, &lt;<a href="http://www.example.com/sharing.html">http://www.example.com/sharing.html</a>&gt;</span>. </dd>
</dl>
</section>
</section>
<div id="app-additional">
<section id="section-appendix.a">
      <h2 id="name-additional-stuff">
<a href="#section-appendix.a" class="section-number selfRef">Appendix A. </a><a href="#name-additional-stuff" class="section-name selfRef">Additional Stuff</a>
      </h2>
<p id="section-appendix.a-1">This becomes an Appendix.<a href="#section-appendix.a-1" class="pilcrow">¶</a></p>
</section>
</div>
<div id="contributors">
<section id="section-appendix.b">
      <h2 id="name-contributors">
<a href="#name-contributors" class="section-name selfRef">Contributors</a>
      </h2>
<p id="section-appendix.b-1">This becomes an unnumbered section<a href="#section-appendix.b-1" class="pilcrow">¶</a></p>
</section>
</div>
<div id="authors-addresses">
<section id="section-appendix.c">
      <h2 id="name-authors-addresses">
<a href="#name-authors-addresses" class="section-name selfRef">Authors' Addresses</a>
      </h2>
<address class="vcard">
        <div dir="auto" class="left"><span class="fn nameRole">Elwyn Davies (<span class="role">editor</span>)</span></div>
<div dir="auto" class="left"><span class="org">Folly Consulting</span></div>
<div dir="auto" class="left"><span class="locality">Soham</span></div>
<div dir="auto" class="left"><span class="country-name">United Kingdom</span></div>
<div class="tel">
<span>Phone:</span>
<a href="tel:+44%207889%20488%20335" class="tel">+44 7889 488 335</a>
</div>
<div class="email">
<span>Email:</span>
<a href="mailto:elwynd@dial.pipex.com" class="email">elwynd@dial.pipex.com</a>
</div>
</address>
<address class="vcard">
        <div dir="auto" class="left"><span class="fn nameRole">Quintin Zhao</span></div>
<div dir="auto" class="left"><span class="org">Huawei Technology</span></div>
<div dir="auto" class="left"><span class="street-address">125 Nagog Technology Park</span></div>
<div dir="auto" class="left">
<span class="locality">Acton</span>, <span class="region">MA</span> <span class="postal-code">01719</span>
</div>
<div dir="auto" class="left"><span class="country-name">United States</span></div>
<div class="email">
<span>Email:</span>
<a href="mailto:quintin.zhao@huawei.com" class="email">quintin.zhao@huawei.com</a>
</div>
</address>
</section>
</div>
<script>var toc = document.getElementById("toc");
var tocToggle = toc.querySelector("h2");
var tocNav = toc.querySelector("nav");

// mobile menu toggle
tocToggle.onclick = function(event) {
    if (window.innerWidth < 1024) {
 var tocNavDisplay = tocNav.currentStyle ? tocNav.currentStyle.display : getComputedStyle(tocNav, null).display;
 if (tocNavDisplay == "none") {
     tocNav.style.display = "block";
 } else {
     tocNav.style.display = "none";
 }
    }
}

// toc anchor scroll to anchor
tocNav.addEventListener("click", function (event) {
    event.preventDefault();
    if (event.target.nodeName == 'A') {
 if (window.innerWidth < 1024) {
     tocNav.style.display = "none";
 }
 var href = event.target.getAttribute("href");
 var anchorId = href.substr(1);
 var anchor =  document.getElementById(anchorId);
 anchor.scrollIntoView(true);
 window.history.pushState("","",href);
    }
});

// switch toc mode when window resized
window.onresize = function () {
    if (window.innerWidth < 1024) {
 tocNav.style.display = "none";
    } else {
 tocNav.style.display = "block";
    }
}
</script>
</body>
</html>
